Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.smc.parser
Class SmcLexerContext

    java.lang.Object
      statemap.FSMContext
          net.sf.smc.parser.SmcLexerContext

All Implemented Interfaces:
  java.io.Serializable

    public final class SmcLexerContext

extends statemap.FSMContext

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `SmcLexerContext.NewCommentMap_Default`
`protected static class` | `SmcLexerContext.OldCommentMap_Default`
`static class` | `SmcLexerContext.SmcLexerState`
`protected static class` | `SmcLexerContext.SourceMap_Default`
`protected static class` | `SmcLexerContext.TokenMap_Default`

Field Summary

Fields inherited from class statemap.FSMContext
`_debugFlag, _debugStream, _name, _previousState, _state, _stateStack, _transition`

Constructor Summary
`SmcLexerContext(net.sf.smc.parser.SmcLexer owner)`
`SmcLexerContext(net.sf.smc.parser.SmcLexer owner, SmcLexerContext.SmcLexerState initState)`

Method Summary
`void` | `alpha()`
`void` | `asterisk()`
`void` | `colon()`
`void` | `comma()`
`void` | `commentDone()`
`void` | `digit()`
`void` | `dollar()`
`void` | `EOL()`
`void` | `equal()`
`protected net.sf.smc.parser.SmcLexer` | `getOwner()`
`SmcLexerContext.SmcLexerState` | `getState()`
`void` | `left_brace()`
`void` | `left_bracket()`
`void` | `left_paren()`
`void` | `percent()`
`void` | `period()`
`void` | `right_brace()`
`void` | `right_paren()`
`void` | `semicolon()`
`void` | `setOwner(net.sf.smc.parser.SmcLexer owner)`
`void` | `slash()`
`void` | `sourceDone()`
`void` | `underscore()`
`void` | `unicode()`
`void` | `whitespace()`

Methods inherited from class statemap.FSMContext
`addStateChangeListener, clearState, emptyStateStack, getDebugFlag, getDebugStream, getName, getPreviousState, getTransition, isInTransition, popState, pushState, removeStateChangeListener, setDebugFlag, setDebugStream, setName, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmcLexerContext

    public SmcLexerContext(net.sf.smc.parser.SmcLexer owner)

### SmcLexerContext

    public SmcLexerContext(net.sf.smc.parser.SmcLexer owner,
                           SmcLexerContext.SmcLexerState initState)

Method Detail

### EOL

    public void EOL()

### alpha

    public void alpha()

### asterisk

    public void asterisk()

### colon

    public void colon()

### comma

    public void comma()

### commentDone

    public void commentDone()

### digit

    public void digit()

### dollar

    public void dollar()

### equal

    public void equal()

### left_brace

    public void left_brace()

### left_bracket

    public void left_bracket()

### left_paren

    public void left_paren()

### percent

    public void percent()

### period

    public void period()

### right_brace

    public void right_brace()

### right_paren

    public void right_paren()

### semicolon

    public void semicolon()

### slash

    public void slash()

### sourceDone

    public void sourceDone()

### underscore

    public void underscore()

### unicode

    public void unicode()

### whitespace

    public void whitespace()

### getState

    public SmcLexerContext.SmcLexerState getState()
                                           throws statemap.StateUndefinedException

  Throws:
    `statemap.StateUndefinedException`

### getOwner

    protected net.sf.smc.parser.SmcLexer getOwner()

### setOwner

    public void setOwner(net.sf.smc.parser.SmcLexer owner)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.